ConnectCloud Developers

GET /api/forge/v1/projects/{key}/items/{number}/links

Module: Forge · operationId: listForgeItemLinks · Tag: Items · Auth: access token (Authorization: Bearer <accessToken>)

Requires tenant:forge:read and a project the caller sees. Links to items of projects the caller does not see are left out.

Parameters

Name In Type Required Description
key path string yes Project key (e.g. APP)
number path integer yes Item number in the project (12 of APP-12)

Responses

  • 200 Links (application/json)
  • 404 Error (application/json)

Fields of the 200 answer:

  • items (array of Link, required)
    • createdAt (string (date-time), required): When the link was created
    • createdBy (string, required): E-mail of who created the link
    • direction (string, required): outgoing: this item is the source; incoming: the other item is (one of outgoing, incoming)
    • id (string (uuid), required): Link id
    • item (object, required): The other item
      • id (string (uuid), required): Item id
      • projectKey (string, required): Project key
      • ref (string, required): Item reference, e.g. WEB-3
      • statusCategory (string, required): Status category
      • statusKey (string, required): Status key
      • statusName (string, required): Status name
      • title (string, required): Title
      • typeKey (string, required): Item type key
    • kind (string, required): Link kind (one of blocks, relates, duplicates)

Example 200 answer:

{
  "items": [
    {
      "createdAt": "2026-10-28T10:40:00Z",
      "createdBy": "emma.maier@muster-it.example",
      "direction": "outgoing",
      "id": "6c7d8e9f-0a1b-4c2d-9e3f-5a6b7c8d9e01",
      "item": {
        "id": "2a3b4c5d-6e7f-4a8b-9c0d-1e2f3a4b5c07",
        "projectKey": "APP",
        "ref": "APP-7",
        "statusCategory": "todo",
        "statusKey": "offen",
        "statusName": "Offen",
        "title": "Cursor-basierte Seitenwechsel in der Ticketliste",
        "typeKey": "aufgabe"
      },
      "kind": "blocks"
    }
  ]
}

Example request

curl -X GET 'https://api.mbcom.cloud/api/forge/v1/projects/string/items/1/links' \
  -H "Authorization: Bearer $ACCESS_TOKEN"

View as Markdown · Interactive reference · OpenAPI